#ifndef MENUBUTTON_H
#define MENUBUTTON_H

#include <gtk/gtk.h>

/*
 *	Menu map trigger type codes:
 */
#define MENU_BUTTON_MAP_TYPE_PRESSED		0	/* Map on press */
#define MENU_BUTTON_MAP_TYPE_PRESSED_DRAG	1	/* Map on press and short drag */

extern GtkWidget *MenuButtonNewH(
	const gchar *label, guchar **icon_data,
	GtkWidget **menu_rtn
);
extern GtkWidget *MenuButtonNewV(
	const gchar *label, guchar **icon_data,
	GtkWidget **menu_rtn
);
extern GtkWidget *MenuButtonNewPixmap(
	guchar **icon_data,
	GtkWidget **menu_rtn
);
extern GtkWidget *MenuButtonGetMenu(GtkWidget *w);
extern void MenuButtonSetMenu(GtkWidget *w, GtkMenu *menu);
extern void MenuButtonSetMapTrigger(
	GtkWidget *w, gint map_type
);

#endif	/* MENUBUTTON_H */
